package com.ruoyi.logistics.domain;

import com.ruoyi.logistics.annotation.Dict;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.core.annotation.Excel;
import com.ruoyi.common.core.web.domain.BaseEntity;

/**
 * 财务月度汇总对象 rpt_financial_month_summary
 * 
 * @author RuiJing
 * @date 2026-01-29
 */
public class RptFinancialMonthSummary extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 月度汇总id */
    private Long summaryId;

    /** 汇总月份 */
    @Excel(name = "汇总月份")
    private String summaryMonth;

    private String summaryMonthEnd;


    @Excel(name = "标准价格")
    private String amount;
    /** 应付金额 */
    @Excel(name = "应付金额")
    private String payableAmount;
    @Excel(name = "采购价格")
    private String purchaseAmount;
    /** 交易笔数 */
    @Excel(name = "订单笔数")
    private String transactionCount;

    /** 账单状态 1.待对账 2.已对账 待开票 3.已开票 ,4已回传商城*/
    @Excel(name = "账单状态")
    @Dict("monthly_report_status")
    private String status;

    /** 删除标志 */
    private String delFlag;

    /** 部门ID */

    private Long deptId;

    /** 供应商名称 */
    @Excel(name = "供应商名称")
    private String deptName;

    /** 用户id */

    private Long userId;

    /** 百旺开票单据编号 */

    private String bwDjbh;

    /** 电子发票pdf地址 */

    private String bwDzfpPdfUrl;

    /** 电子发票ofd地址 */

    private String bwDzfpOfdUrl;

    /** 电子发票xml地址 */

    private String bwDzfpXmlUrl;

    private String kprq;

    public void setPurchaseAmount(String purchaseAmount) {
        this.purchaseAmount = purchaseAmount;
    }

    public void setAmount(String amount) {
        this.amount = amount;
    }

    public String getAmount() {
        return amount;
    }

    public String getPurchaseAmount() {
        return purchaseAmount;
    }

    public void setSummaryMonthEnd(String summaryMonthEnd) {
        this.summaryMonthEnd = summaryMonthEnd;
    }

    public String getSummaryMonthEnd() {
        return summaryMonthEnd;
    }

    public void setSummaryId(Long summaryId)
    {
        this.summaryId = summaryId;
    }

    public Long getSummaryId() 
    {
        return summaryId;
    }

    public void setSummaryMonth(String summaryMonth) 
    {
        this.summaryMonth = summaryMonth;
    }

    public String getSummaryMonth() 
    {
        return summaryMonth;
    }

    public void setPayableAmount(String payableAmount) 
    {
        this.payableAmount = payableAmount;
    }

    public String getPayableAmount() 
    {
        return payableAmount;
    }

    public void setTransactionCount(String transactionCount) 
    {
        this.transactionCount = transactionCount;
    }

    public String getTransactionCount() 
    {
        return transactionCount;
    }

    public void setStatus(String status) 
    {
        this.status = status;
    }

    public String getStatus() 
    {
        return status;
    }

    public void setDelFlag(String delFlag) 
    {
        this.delFlag = delFlag;
    }

    public String getDelFlag() 
    {
        return delFlag;
    }

    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }

    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    public void setBwDjbh(String bwDjbh) 
    {
        this.bwDjbh = bwDjbh;
    }

    public String getBwDjbh() 
    {
        return bwDjbh;
    }

    public void setBwDzfpPdfUrl(String bwDzfpPdfUrl) 
    {
        this.bwDzfpPdfUrl = bwDzfpPdfUrl;
    }

    public String getBwDzfpPdfUrl() 
    {
        return bwDzfpPdfUrl;
    }

    public void setBwDzfpOfdUrl(String bwDzfpOfdUrl) 
    {
        this.bwDzfpOfdUrl = bwDzfpOfdUrl;
    }

    public String getBwDzfpOfdUrl() 
    {
        return bwDzfpOfdUrl;
    }

    public void setBwDzfpXmlUrl(String bwDzfpXmlUrl) 
    {
        this.bwDzfpXmlUrl = bwDzfpXmlUrl;
    }

    public String getBwDzfpXmlUrl() 
    {
        return bwDzfpXmlUrl;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }

    public void setKprq(String kprq) {
        this.kprq = kprq;
    }

    public String getKprq() {
        return kprq;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("summaryId", getSummaryId())
                .append("deptName", getDeptName())
            .append("summaryMonth", getSummaryMonth())
            .append("payableAmount", getPayableAmount())
            .append("transactionCount", getTransactionCount())
            .append("status", getStatus())
            .append("createTime", getCreateTime())
            .append("updateTime", getUpdateTime())
            .append("remark", getRemark())
            .append("delFlag", getDelFlag())
            .append("createBy", getCreateBy())
            .append("updateBy", getUpdateBy())
            .append("deptId", getDeptId())
            .append("userId", getUserId())
            .append("bwDjbh", getBwDjbh())
            .append("bwDzfpPdfUrl", getBwDzfpPdfUrl())
            .append("bwDzfpOfdUrl", getBwDzfpOfdUrl())
            .append("bwDzfpXmlUrl", getBwDzfpXmlUrl())
            .toString();
    }
}
